#!/bin/bash

PUPPET_MASTER='puppet-v1.int.metaunix.net'

# determine OS version
if [ -f '/etc/redhat-release' ]; then
  OS="rhel"
elif [ -f '/etc/debian_version' ]; then
  OS="debian"
elif [ -d '/etc/ubuntu-advantage' ]; then
  OS="ubuntu"
else
  OS="freebsd"
fi

read -p 'System hostname: ' HOSTNAME
read -p 'System domain: ' DOMAIN

if [ "$OS" = 'freebsd' ]; then
  # Configure system hostname
  sysrc hostname="$HOSTNAME.$DOMAIN"

  # Install Puppet
  pkg install -y puppet7
  echo -e "[agent]\nserver = $PUPPET_MASTER" > /usr/local/etc/puppet/puppet.conf
  sysrc puppet_enable="YES"
else
  # Configure system hostname
  hostnamectl set-hostname "$HOSTNAME"
fi
